> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cards



## OpenAPI

````yaml GET /cards
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards:
    get:
      tags:
        - Cards
      summary: List cards
      operationId: listCards
      parameters:
        - name: limit
          in: query
          required: false
          description: Limit
          schema:
            type: integer
            example: '20'
        - name: page
          in: query
          required: false
          description: Page
          schema:
            type: string
            example: '1'
        - name: accountId
          in: query
          required: false
          description: Sub-account ID (returns only that sub-account's cards)
          schema:
            type: integer
            example: '71'
        - name: status
          in: query
          required: false
          description: >-
            Card status: '-1' locked, '0' active, '1' frozen, '2' closed, '3'
            closing, '4' suspended
          schema:
            type: string
            example: '0'
        - name: card_bin
          in: query
          required: false
          description: Card BIN
          schema:
            type: string
            example: '537100'
        - name: startTime
          in: query
          required: false
          description: Card created from
          schema:
            type: string
            example: '2026-03-23'
        - name: endTime
          in: query
          required: false
          description: Card created to
          schema:
            type: string
            example: '2026-03-24'
        - name: updateStartTime
          in: query
          required: false
          description: Transaction time from
          schema:
            type: string
            example: '2026-03-23'
        - name: updateEndTime
          in: query
          required: false
          description: Transaction time to
          schema:
            type: string
            example: '2026-03-24'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                      per_page:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Card'
                    required:
                      - total
                      - per_page
                      - current_page
                      - last_page
                      - data
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  total: 44
                  per_page: 5
                  current_page: 1
                  last_page: 9
                  data:
                    - status: 0
                      id: CA2501031448312
                      trade_id: 91863e27-7a57-464e-a903-bd1de6455530
                      label: null
                      bin_id: 469
                      card_bin: '493728'
                      card_no: '4937280078378765'
                      cvv: '066'
                      currency: USD
                      available: '50.000'
                      pending: 0
                      frozen: 0
                      expire_date: 01/2028
                      holder_username: CHEN XIA
                      holder_address:
                        city: Hayward
                        state: CA
                        country: US
                        postalCode: '94541'
                        addressLine1: 450 C Street
                        addressLine2: ''
                      create_time: '2025-01-03 14:47:58'
                      update_time: '2025-01-03 15:32:37'
                      remark: null
                      holder_phone: '13800138123'
                      fee: '0.00'
                      destory_reason: null
                      nickname: Example Store
                      holder_email: 25261666@qq.com
                      holder_phone_code: '86'
                      physical: 1
                      physical_status: 2
                      deliver_status: 3
                      platform_waybill_number: SF1234577
                      platform_waybill_company: SF Express
                    - status: 0
                      id: CA2412241500315
                      trade_id: sd23sa123d12s31002
                      label: null
                      bin_id: 2
                      card_bin: '493193'
                      card_no: '4931930102699315'
                      cvv: '022'
                      currency: USD
                      available: '7.000'
                      pending: 0
                      frozen: 0
                      expire_date: 12/2027
                      holder_username: GUSTAVO CHEVRAND
                      holder_address: []
                      create_time: '2024-12-24 14:59:58'
                      update_time: '2024-12-25 16:28:22'
                      remark: null
                      holder_phone: '13800138000'
                      fee: '2.00'
                      destory_reason: null
                      nickname: Example Store
                      holder_email: 25261639@qq.com
                      holder_phone_code: '+86'
                      physical: 0
                      physical_status: 0
                      deliver_status: 0
                      platform_waybill_number: null
                      platform_waybill_company: null
                    - status: 0
                      id: CA2412241444258
                      trade_id: sd23sa123d12s31000
                      label: null
                      bin_id: 2
                      card_bin: '493193'
                      card_no: '4931930100061641'
                      cvv: '787'
                      currency: USD
                      available: '12.000'
                      pending: 0
                      frozen: 0
                      expire_date: 12/2027
                      holder_username: GUSTAVO CHEVRAND
                      holder_address: []
                      create_time: '2024-12-24 14:43:23'
                      update_time: '2024-12-24 14:44:12'
                      remark: null
                      holder_phone: '59287164'
                      fee: '2.00'
                      destory_reason: null
                      nickname: Example Store
                      holder_email: agency-armada.9v@icloud.com
                      holder_phone_code: '+852'
                      physical: 0
                      physical_status: 0
                      deliver_status: 0
                      platform_waybill_number: null
                      platform_waybill_company: null
                    - status: 0
                      id: CA2412191643409
                      trade_id: 6ba818a6-9e20-4cbc-a0d3-9e85c6dcec45
                      label: null
                      bin_id: 471
                      card_bin: '414631'
                      card_no: '4146318898591758'
                      cvv: '926'
                      currency: USD
                      available: '14.000'
                      pending: 0
                      frozen: 0
                      expire_date: 12/2027
                      holder_username: GERALD CONROY
                      holder_address:
                        city: Glendale
                        state: AZ
                        country: US
                        postalCode: '85301'
                        addressLine1: 6231 North 67th Avenue
                        addressLine2: ''
                      create_time: '2024-12-19 16:43:07'
                      update_time: '2024-12-20 15:58:34'
                      remark: null
                      holder_phone: ''
                      fee: '2.00'
                      destory_reason: null
                      nickname: Example Store
                      holder_email: ''
                      holder_phone_code: ''
                      physical: 1
                      physical_status: 1
                      deliver_status: 2
                      platform_waybill_number: null
                      platform_waybill_company: null
                    - status: 0
                      id: CA2412191428519
                      trade_id: 5b00b9eb-31e8-460b-9e47-c99c9fce8bc7
                      label: null
                      bin_id: 471
                      card_bin: '414631'
                      card_no: '4146318846557471'
                      cvv: '071'
                      currency: USD
                      available: '6.000'
                      pending: 0
                      frozen: 0
                      expire_date: 12/2027
                      holder_username: KAYLA HEGMANN
                      holder_address:
                        city: Anchorage
                        state: AK
                        country: US
                        postalCode: '99501'
                        addressLine1: 1334 East 14th Avenue
                        addressLine2: ''
                      create_time: '2024-12-19 14:27:50'
                      update_time: '2024-12-19 14:35:30'
                      remark: null
                      holder_phone: ''
                      fee: '2.00'
                      destory_reason: null
                      nickname: Example Store
                      holder_email: ''
                      holder_phone_code: ''
                      physical: 1
                      physical_status: 0
                      deliver_status: 2
                      platform_waybill_number: null
                      platform_waybill_company: null
components:
  schemas:
    Card:
      type: object
      properties:
        id:
          type: string
          description: Card ID
        trade_id:
          type: string
          description: Card order ID. Transaction ID returned when the card was created
        currency:
          type: string
          description: Currency
        label:
          type: string
          description: Card label
        create_time:
          type: string
          description: Card created at
        card_bin:
          type: string
          description: BIN label
        card_no:
          type: string
          description: Full card number
        cvv:
          type: string
          description: Security code (CVV)
        expire_date:
          type: string
          description: Expiry date
        holder_username:
          type: string
          description: Cardholder name
        holder_address:
          type: object
          properties:
            city:
              type: string
              description: City
            state:
              type: string
              description: Region
            country:
              type: string
              description: Country
            postalCode:
              type: string
              description: Postal code
            addressLine1:
              type: string
              description: Address line 1
            addressLine2:
              type: string
              description: Address line 2
          required:
            - city
            - state
            - country
            - postalCode
            - addressLine1
          description: Cardholder billing address
        available:
          type: string
          description: Available balance
        pending:
          type: integer
          description: Pending balance
        frozen:
          type: integer
          description: Frozen balance
        fee:
          type: string
          description: Top-up fee rate (%)
        status:
          type: string
          description: 'Status (-1: locked, 0: active, 1: frozen, 2: closed, 3: closing)'
          enum:
            - '0'
            - '1'
            - '2'
            - '-1'
            - '3'
        holder_email:
          type: string
          description: Cardholder email
        holder_phone_code:
          type: string
          description: Cardholder phone country code
        physical:
          type: string
          description: 'Physical card (0: yes, 1: no)'
        physical_status:
          type: string
          description: >-
            Physical card activation status (0: awaiting verification, 1:
            awaiting activation, 2: activated)
        deliver_status:
          type: string
          description: >-
            Physical card shipping status (0: not requested, 1: awaiting
            shipping request, 2: in production, 3: shipped)
        consumption_scene_type:
          type: integer
          description: 'Spending scene type (0: unrestricted, 1: allowlist, 2: blocklist)'
        consumption_scene_config:
          type: object
          properties:
            channel_id:
              type: integer
              description: Scene ID
            name:
              type: string
              description: Scene name
          description: Spending scene settings
          required:
            - channel_id
            - name
      required:
        - id
        - trade_id
        - currency
        - create_time
        - card_bin
        - card_no
        - cvv
        - expire_date
        - holder_username
        - available
        - pending
        - frozen
        - fee
        - status
        - label
        - holder_email
        - holder_phone_code
        - physical
        - physical_status
        - deliver_status
        - consumption_scene_type
        - consumption_scene_config
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````